<?php
class Application {
	
	public $db = '';
	public $curlConfig = '';

	public function __construct() {
		include(__DIR__."/../../config.php");
		$this->db = $db;
		$this->curlConfig = $curlConfig;
	}

	//gets the database defined in the global config file
	public function getDatabase() {
		include(__DIR__."/../../config.php");
		return $db;
	}
	
	public function getCurlConfig() {
		include(__DIR__."/../../config.php");
		return $curlConfig;
	}
	
	
	public function getSkeletonTableId() {
		include(__DIR__."/../../config.php");
		return $skeleton_table_id;
	}
	
	//gets the database defined in the global config file
	public function getFilesDirectory() {
		include(__DIR__."/../../config.php");
		return $global_user_files;
	}
	
	public function uploadFile($files, $user_id = '', $data = array(), $unlink=true) {
		include(__DIR__."/../../config.php");
		$return = array();
		
		if(isset($data['target'])) {
			$target_dir = $data['target'];	
		} else {
			$target_dir = "uploads/";	
		}
		/*
		if($user_id != '') {
			$target_dir .= $user_id."/";
		}
		*/
		if(!file_exists($target_dir)) {
		    mkdir($target_dir, 0777, true);
		}
		
		$target_file = $target_dir . basename($files["fileToUpload"]["name"]);
		$uploadOk = 1;
		$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);

		// Check if file already exists
		if (file_exists($target_file)) {
			if($unlink == true) {
				unlink($target_file);
			} else {
				$return['status'] = 'error';
				$return['message'] = 'system_file_already_exists';
				$uploadOk = 0;
			}
		   
		}

		// Check if $uploadOk is set to 0 by an error
		if ($uploadOk == 0) {
			$return['status'] = 'error';
			$return['message'] = 'system_your_file_was_not_uploaded';
		    echo "Sorry, your file was not uploaded.";
		// if everything is ok, try to upload file
		} else {
			$move = move_uploaded_file($files["fileToUpload"]["tmp_name"], $target_file);
		    if ($move) {
		    	$return['status'] = 'success';
				$return['message'] = 'system_file_has_been_uploaded';
				$return['file_location'] = 'https://'.$_SERVER['SERVER_NAME']."/".$global_admin_path.$target_file;
		    } else {
		        $return['status'] = 'error';
				$return['message'] = 'system_there_was_an_error_uploading_your_file';
		    }
		}
		//return the path of the file
		return $return;
	}
	
	public static function deleteDir($dirPath) {
		print_r($dirPath);
	    if (! is_dir($dirPath)) {
	        throw new InvalidArgumentException("$dirPath must be a directory");
	    }
	    if (substr($dirPath, strlen($dirPath) - 1, 1) != '/') {
	        $dirPath .= '/';
	    }
	    $files = glob($dirPath . '*', GLOB_MARK);
	    foreach ($files as $file) {
	        if (is_dir($file)) {
	            self::deleteDir($file);
	        } else {
	            unlink($file);
	        }
	    }
	    rmdir($dirPath);
	}
	

	function getGlobalUser() {
		//load the logged in user and all details (if there is one)
		if(isset($_SESSION['user_id']) && $_SESSION['user_id'] != '') {
			return $_SESSION['user_id'];
		} else {
			return 0;
		}
	}
}
?>