<?php
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//load start session for storage
if (!empty($global_user) && $global_user->user_id != '') {

$gamesClass = new Games();

if (isset($_GET['delete']) && isset($_GET['games_id'])) {
	$_SESSION['splash'] = $_['games_deleted_failure_game_not_found'];
	$_SESSION['splash_type'] = 'error';
	$game = $gamesClass->getGame($_GET['games_id']);
	if (($global_user->user_level <= 5 || $game->created_user_id == $global_user->user_id)) {
		$gamesClass->delete($_GET['games_id']);
		$_SESSION['splash'] = $_['games_deleted'];
		$_SESSION['splash_type'] = 'success';
	} else {
		$_SESSION['splash'] = $_['games_deleted_failure_permissions'];
	}
}

//filters for pagination urls
$filter_parameters = "";
$filter_values = array(
	'filter_id',
	'filter_name',
	'filter_user'
);
foreach($filter_values as $value) {
	if(isset($_GET[$value])) {
		$filter_parameters .= "&".$value."=".urlencode($_GET[$value]);
	}
}

include 'templates/head.php';
?>

<link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css" />
<link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css" />

<style>
	abbr {
    background: black;
    color: white;
    font-weight: bold;
    display: inline-block;
    height: 1.5em;
    width: 1.5em;
    border: 1px solid black;
    border-radius: 5em;
    box-shadow: inset 0 0 0 1px white;
    text-align: center;
    opacity: .6;
    text-decoration: none;
    font-size: 0.9em;
    line-height: 1.6em;
    transition: all .3s;
	}
	abbr:hover {
		opacity: 1;
	}
</style>

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php include 'templates/header.php'; ?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php include 'templates/navigation.php'; ?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<h3 class="page-title">
							<?php echo $_['games_title']; ?>
						</h3>
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index.html"><?php echo $_['global_dashboard']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li><a href="#"><?php echo $_['games_title']; ?></a></li>
						</ul>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid transactions">

					<?php include 'templates/splash.php'; ?>

					<div>
						<!-- BEGIN EXAMPLE TABLE PORTLET-->
						<div class="portlet box">
							<div class="portlet-body">
								<form id='search_form' action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>' method='GET' onkeydown="return event.key != 'Enter';">
									<table class="table table-striped table-bordered table-hover" id="games_table">
										<thead>
											<tr>
												<th><input name='filter_id' type='text' value='<?php echo (!empty($_GET['filter_id'])) ? htmlspecialchars($_GET['filter_id']): ''; ?>'></th>
												<th><input name='filter_name' type='text' value='<?php echo (!empty($_GET['filter_name'])) ? htmlspecialchars($_GET['filter_name']): ''; ?>'></th>
												<th><input name='filter_user' type='text' value='<?php echo (!empty($_GET['filter_user'])) ? htmlspecialchars($_GET['filter_user']): ''; ?>'></th>
												<th>
                                                    <select name="filter_type">
                                                        <option value="0" <?php echo !isset( $_GET['filter_type']) ? 'selected="selected"' : '' ?>></option>
                                                        <option value="1" <?php echo @$_GET['filter_type'] == '1' ? 'selected="selected"' : '' ?>>Matchning</option>
                                                        <option value="2" <?php echo @$_GET['filter_type'] == '2' ? 'selected="selected"' : '' ?>>Memory</option>
                                                        <option value="3" <?php echo @$_GET['filter_type'] == '3' ? 'selected="selected"' : '' ?>>Läs upp</option>
                                                    </select>
                                                </th>
											</tr>
											<tr>
												<th><?php echo $_['global_id']; ?></th>
												<th><?php echo $_['global_name']; ?></th>
												<th><?php echo $_['global_creator']; ?></th>
												<th><?php echo $_['games_type']; ?></th>
											</tr>
										</thead>
									</table>


									<div class="btn-group pull-right transaction-search">
										<a class='btn hovertheme pull-right' href="#" onclick="document.getElementById('search_form').submit();"><i class="icon-search"></i>&nbsp;&nbsp;<?php echo $_['global_search']; ?></a>
									</div>

									<table class="table table-striped table-bordered table-hover" id="games_table">
										<thead>
											<tr>
												<th></th>
												<th><?php echo $_['global_id']; ?></th>
												<th>
													<?php if(empty($_GET['sort'])) { ?>
														<a href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>?sort=name">
													<?php } else { ?>
														<a href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
													<?php  } ?>
												<?php echo $_['global_name']; ?></a></th>
												<th><?php echo $_['games_type']; ?></th>
												<th><?php echo $_['game_difficulty']; ?></th>
												<th><?php echo $_['global_note']; ?></th>
												<th><?php echo $_['global_creator']; ?></th>
												<th>
													<a class="btn green" href='game?games_id=new'><?php echo $_['global_new']; ?></a>
												</th>
											</tr>
										</thead>
										<tbody>
											<?php
											$data = $_GET;
											$settings = array(
												'start' => '0',
												'limit' => '100',
												'sort' => 'name'
											);

											//get the number of results to display
											$data['limit'] = $settings['limit'];

											//calculate starting point
											if(isset($_GET['page'])) {
												$start = ($_GET['page']-1) * $settings['limit'];
												$data['start'] = $start;
												$settings['start'] = $start;
											}

											//get a results list;
											$current_games = $gamesClass->getGames($data);
											//no limit for counting actual results
											$data['limit'] = 1000000;
											$data['start'] = 0;
											$current_games_count = $gamesClass->getGames($data, 1);

											//set current order count
											$settings['current_games'] = $current_games_count;

											foreach($current_games as $game) {
											?>

											<tr class="odd gradeX">
												<td>
													<input value='<?php echo $game->id; ?>' type='checkbox'>
												</td>
												<td><?php echo $game->id; ?></td>
												<td><?php echo $game->name; ?></td>
												<td><?php echo $game->type_name; ?></td>
												<td><?php echo $game->difficulty; ?></td>
												<td>
													<?php if (!empty($game->note)) { ?>
														<abbr title="<?php echo $game->note; ?>">?</abbr>
													<?php } ?>
												</td>
												<td><?php echo $game->creator_first." ".$game->creator_last; ?></td>
												<td>
													<a href='game?games_id=<?php echo $game->id; ?>'><?php echo $_['global_edit']; ?></a>
													<?php if ($global_user->user_level <= 5 || $game->created_user_id == $global_user->user_id) { ?>
														&nbsp;&nbsp;&nbsp;<a href='games?delete=<?php echo $game->id; ?>&games_id=<?php echo $game->id; ?>'><?php echo $_['global_delete']; ?></a>
													<?php } ?>
												</td>
											</tr>
											<?php } ?>
										</tbody>
									</table>
									<div class="row-fluid">
										<div class="span6">
											<div class="dataTables_info" id="sample_3_info">
												<?php echo $_['global_showing'] .' ' . ($settings['start']+1) . ' ' . $_['global_page_to'] .' '. ($settings['start']+$settings['limit']) .' '.$_['global_of'].' '.$current_games_count.' '.$_['global_games']; ?>
											</div>
										</div>
										<div class="span6">
											<div class="dataTables_paginate paging_bootstrap pagination">
												<ul>
													<li class="prev <?php echo ($settings['start'] <= 1) ? 'disabled':''; ?>">
														<?php
														$page = 1;
														if(!empty($_GET['page'])) {
																$page = htmlspecialchars($_GET['page']);
														} ?>
														<?php if($settings['start'] > 1) { ?>
														<a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/games.php?page=<?php echo htmlspecialchars($page-1); ?><?php echo $filter_parameters; ?>">
														<span class="hidden-480"><?php $_['global_previous']; ?></span></a>
														<?php } ?>
													</li>
													<?php
													$total_pages = ceil($settings['current_games']/$settings['limit']);
													$i = 1;
													while($i <= $total_pages) { ?>
														<?php if($page + 5 > $i && $page - 5 < $i) { ?>
														<li class="<?php echo (empty($page) || $page == $i) ? 'active':''; ?>"><a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/games.php?page=<?php echo $i; ?><?php echo $filter_parameters; ?>"><?php echo $i; ?></a></li>
														<?php } $i++;
													}
													//check if we are on the last page
													if($settings['start'] + $settings['limit'] < $current_games_count) {
														$last_page = true;
													} else {
														$last_page = false;
													}
													?>
													<li class="next <?php echo ($last_page) ? 'disabled':''; ?>">
														<?php if($last_page) { ?>
														<a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/games.php?page=<?php echo htmlspecialchars($_GET['page']+1); ?><?php echo $filter_parameters; ?>">
															<span class="hidden-480"><?php $_['global_next']; ?></span>
														</a>
														<?php } ?>
													</li>
												</ul>
											</div>
										</div>
									</div>
								</form>
							</div>
						</div>
						<!-- END TABLE PORTLET-->
					</div>
				</div>
				<!-- END PAGE CONTENT-->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->
	</div>
	<!-- END CONTAINER -->

	<?php include 'templates/footer.php'; ?>

<?php
//close the page load user check
} else {
	header('Location: login');
}
 ?>
