<?php 
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//load start session for storage
if (!empty($global_user) && $global_user->user_id != '' && $global_user->user_level <= 5) {
		
	$global_settings_object = new GlobalSettings();
	//handle post/updates
	if($_POST) {
		//update
		$data = $_POST;
		//Validate minimum member split. It must be a positive integer.
		if (!is_numeric($data['minimum_member_split']) || $data['minimum_member_split'] < 0) {
			unset($data['minimum_member_split']);
		} else {
			$data['minimum_member_split'] = ceil($data['minimum_member_split']);
		}
		$global_settings_object->update($data);
		$_SESSION['splash'] = $_['settings_updated'];
		$_SESSION['splash_type'] = 'success';
		$settings_object = new $global_settings_object($global_user->user_id);
	}		
	
	//fetch the user for this particular profile, if there is none, leave blank
	$global_settings_object = new GlobalSettings();
	
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li><a href="global_settings"><?php echo $_['global_settings_title']; ?></a></li>
						</ul>
						<h3 class="page-title">
							<?php echo $_['global_settings_title']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" class="form-horizontal" novalidate="novalidate" method='POST'>
					<div class="row-fluid profile">
						
						<?php include 'templates/splash.php'; ?>
						
						<div class="span3">
							<ul class="ver-inline-menu tabbable margin-bottom-10">
								<li class="active">
									<a data-toggle="tab" href="#tab_1-1">
									<i class="icon-cog"></i> 
									<?php echo $_['global_settings_meeting_settings']; ?>
									</a> 
									<span class="after"></span>                                    
								</li>
							</ul>
						</div>
						<div class="span9">
							<div class="tab-content">
								<div id="tab_1-1" class="tab-pane active">
									<label class="control-label"><?php echo $_['global_settings_minimum_members']; ?></label>
									<div class="controls">
										<input id='minimum_member_split' name="minimum_member_split" type="tel" class="span6 m-wrap" value='<?php echo (!empty($global_settings_object->minimum_member_split)) ? $global_settings_object->minimum_member_split : '' ; ?>' oninput='setMinVoteDivide()'>
										<span class="help-block"><?php echo $_['global_settings_minimum_members_help']; ?></span>
									</div>
									<script>
										function setMinVoteDivide() {
											var votepercent = 100/$('#minimum_member_split').val();
											votepercent.toFixed(0);
											$('#minimum_split_percent').html(votepercent);
										}
										setMinVoteDivide();
									</script>
									<!--END TABS-->
								</div>
							</div>	
						</div>
					</div>
					<div class="row-fluid profile">
						<div class="span3">
							<ul class="ver-inline-menu tabbable margin-bottom-10">
								<li class="active">
									<a data-toggle="tab" href="#tab_2-1">
									<i class="icon-home"></i> 
									<?php echo $_['global_settings_property_settings']; ?>
									</a> 
									<span class="after"></span>                                    
								</li>
							</ul>
						</div>
						<div class="span9">
							<div class="tab-content">
								<div id="tab_2-1" class="tab-pane active">
									<label class="control-label"><?php echo $_['global_settings_total_vote_share']; ?></label>
									<div class="controls">
										<input id='total_vote_share' name="total_vote_share" type="tel" class="span6 m-wrap" value='<?php echo (!empty($global_settings_object->total_vote_share)) ? $global_settings_object->total_vote_share : '' ; ?>'>
										<span class="help-block"><?php echo $_['global_settings_total_vote_share_help']; ?></span>
									</div>
									<!--END TABS-->
								</div>
							</div>	
						</div>
					</div>
					<div class="row-fluid profile">
						<div class="form-actions" style="padding-left: 0px;">
							<button type="submit" class="btn hovertheme pull-right"><i class="icon-save"></i>&nbsp;&nbsp;<?php echo $_['settings_save']; ?></button>
						</div>
					</div>
				</form>
				<!-- END PAGE CONTENT-->
			</div>
			<!-- END PAGE CONTAINER--> 
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
 ?>