<?php 
	//pulls all required and global information
	include_once 'required.php';
	//only load the page if someone is actually logged in

	//needs to be increased on live server!!!
	ini_set('max_input_vars', 100000);
	
	//load start session for storage
	if(isset($global_user) && $global_user->user_email != '' && ($global_user->user_level < 5)) {

	//fetch the user for this particular profile, if there is none, leave blank
	if(isset($global_user->user_id)) {
		$user = new User($global_user->user_id);	
	} else {
		$user = '';
	}
	
	
	if(isset($_GET['id'])) {
		$lesson = new Lesson($global_user->user_id,$_GET['id']);
	} else {
		$lesson = new Lesson($global_user->user_id);
	}
	
	
	//handle post/updates
	if($_POST) {
		//check if update or add
		
		if(isset($_GET['id'])) {
			//update
			$data = $_POST;
			$data['updated_user_id'] = $global_user->user_id;
			$lesson->update($data);
			$_SESSION['splash'] = $_['lesson_updated'];
			$_SESSION['splash_type'] = 'success';
			
			session_write_close();
			header('Location: lessons');
			
			//reload the user data after update
			$lesson = new Lesson($_GET['id']);
			
			
		} else {
			$data = $_POST;
			$data['created_user_id'] = $global_user->user_id;
			$data['updated_user_id'] = $global_user->user_id;
			$lesson->add($data);
			$lesson = new Lesson($lesson->getLastId());
			$_SESSION['splash'] = $_['lesson_created'];
			$_SESSION['splash_type'] = 'success';
			session_write_close();
			header('Location: lessons');
		}
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>


<!-- Main Quill library -->
<script src="//cdn.quilljs.com/1.3.6/quill.js"></script>

<!-- Theme included stylesheets -->
<link href="//cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
<link href="//cdn.quilljs.com/1.3.6/quill.bubble.css" rel="stylesheet">

<!-- Core build with no theme, formatting, non-essential modules -->
<link href="//cdn.quilljs.com/1.3.6/quill.core.css" rel="stylesheet">

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content" style="min-height:864px !important">
			<!-- BEGIN PAGE CONTAINER-->        
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					
					<?php include 'templates/splash.php'; ?>
					
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<h3 class="page-title">
							<?php echo $_['lesson_page_title']; ?>
						</h3>
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="#"><?php echo $_['lesson_page_title']; ?></a>
							</li>
						</ul>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">
					<div class="span12">
						<form id='button-form' class='form-horizontal' method='post' enctype="multipart/form-data">
							<div id='button-app'>
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_tag']; ?></label>
									<div class="controls">
										<input class='button-field' type='text' name='title' id='title' value='<?php echo (isset($lesson->title))?$lesson->title:''?>' placeholder='<?php echo $_['lesson_title']; ?>'/>
										<span class="help-block"><?php echo $_['lesson_title_help']; ?></span>
										<span id="warning-tag" class="warning warning-tag"></span>
									</div>
								</div>

								<div class="control-group">
									<label class="control-label">Ordning</label>
									<div class="controls">
										<input class='button-field' type='text' name='sort_order' id='sort_order' value='<?php echo (isset($lesson->sort_order))?$lesson->sort_order:''?>' placeholder='1'/>
										<span class="help-block">Ordningen lektionen ska visas i appen, dvs vilken plats ska den ha 1 = först i appen, 10 = senare etc, sätt gärna till samma som lektionsnummer</span>
										<span id="warning-tag" class="warning warning-tag"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_video_link']; ?></label>
									<div class="controls">
										<input class='button-field' type='text' name='video_link' id='video_link' value='<?php echo (isset($lesson->video_link))?$lesson->video_link:''?>' placeholder='<?php echo $_['lesson_video_link']; ?>'/>
										<span class="help-block"><?php echo $_['lesson_video_link_help']; ?></span>
										<span id="warning-tag" class="warning warning-tag"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_content']; ?></label>
									<div class="controls">
										<div class='button-field' id='content'></div>
										<textarea style='display:none;' name='content_quill'></textarea>
										<span class="help-block"><?php echo $_['lesson_content_help']; ?></span>
										<span id="warning-desc" class="warning warning-desc"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_tags']; ?></label>
									<div class="controls">
										<select class="span6 m-wrap" name="tags[]" multiple>
											<?php $tags = $lesson->getAllTags(); 
												foreach($tags as $tag) { ?>
													<option value="<?php echo $tag->id; ?>" <?php echo (!empty($lesson->id) && in_array($tag->id, $lesson->getMyTags($lesson->id)) && $lesson->active == '1') ? 'selected=selected' : '' ; ?>><?php echo $tag->tag ?></option>
											<?php } ?>
										</select>
										<span class="help-block"><?php echo $_['lesson_active_help']; ?></span>
										<span id="warning-active" class="warning warning-active"></span>
									</div>
								</div>
								
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_active']; ?></label>
									<div class="controls">
										<select class="span6 m-wrap" name="active">
											<option value="1" <?php echo (!empty($lesson->active) && $lesson->active == '1') ? 'selected=selected' : '' ; ?>><?php echo $_['settings_on']; ?></option>
											<option value="0" <?php echo (!empty($lesson->active) && $lesson->active == '0') ? 'selected=selected' : '' ; ?>><?php echo $_['settings_off']; ?></option>
										</select>
										<span class="help-block"><?php echo $_['lesson_active_help']; ?></span>
										<span id="warning-active" class="warning warning-active"></span>
									</div>
								</div>
								
								<input type='hidden' name='content' value='<?php if(!empty($lesson->content)){echo $tag->content;} ?>'/>
								<input type='hidden' name='action' id="action" value=''/>
								
								<?php if(isset($_GET['id'])) { ?>
									<input type='hidden' name='id' value='<?php echo $lesson->id; ?>' />
								<?php } ?>
							</div>
							<br />
							<div class="form-actions">
								<input type='submit' class='btn green' name='submit' value='<?php echo $_['global_save']; ?>'>
							</div>
						</form>
					</div>
				</div>
				<!-- END PAGE CONTENT -->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->

	<style type='text/css'>
		#custom_code {
			width:100%;
			max-width:400px;
			height:200px;
		}
	</style>
	
	
	<script type='text/javascript'>
	var quill = new Quill('#content', {
	  modules: {
	    toolbar: [
	    [{ 'header': [1, 2, 3, 4, 5, 6, false] }],
	      ['bold', 'italic', 'underline', 'strike'],        // toggled buttons
	      ['link', 'blockquote', 'code-block', 'image'],
		  [{ 'list': 'ordered'}, { 'list': 'bullet' }],
		  [{ 'script': 'sub'}, { 'script': 'super' }],      // superscript/subscript
		  [{ 'indent': '-1'}, { 'indent': '+1' }],          // outdent/indent
		  [{ 'direction': 'rtl' }],                         // text direction
		  [{ 'size': ['small', false, 'large', 'huge'] }],  // custom dropdown
		  [{ 'color': [] }, { 'background': [] }],          // dropdown with defaults from theme
		  [{ 'align': [] }],
		  ['clean']
		]
	  },
	  placeholder: '<?php echo $_['lesson_content_placeholder']; ?>',
	  theme: 'snow'  // or 'bubble'
	});
	jQuery(document).ready(function() {
		<?php echo (isset($lesson->content_quill))?'quill.setContents('.$lesson->content_quill.');':''?>
	});
	var form = document.querySelector('form');
	form.onsubmit = function() {
		  // Populate hidden form on submit
	  var about = document.querySelector('textarea[name=content_quill]');
	  about.value = JSON.stringify(quill.getContents());
	  var desc = document.querySelector('input[name=content]');
	  desc.value = jQuery('.ql-editor').html();
	};
	</script>
	
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
 ?>