<?php 
	//pulls all required and global information
	include_once 'required.php';
	//only load the page if someone is actually logged in

	//needs to be increased on live server!!!
	ini_set('max_input_vars', 100000);
	
	//load start session for storage
	if(isset($global_user) && $global_user->user_email != '' && ($global_user->user_level < 5)) {

	//fetch the user for this particular profile, if there is none, leave blank
	if(isset($global_user->user_id)) {
		$user = new User($global_user->user_id);	
	} else {
		$user = '';
	}
	
	
	if(isset($_GET['id'])) {
		$tag = new LessonTag($global_user->user_id,$_GET['id']);
	} else {
		$tag = new LessonTag($global_user->user_id);
	}
	
	
	//handle post/updates
	if($_POST) {
		//check if update or add
		
		if(isset($_GET['id'])) {
			//update
			$data = $_POST;
			$tag->update($data);
			$_SESSION['splash'] = $_['lesson_tag_updated'];
			$_SESSION['splash_type'] = 'success';
			
			session_write_close();
			header('Location: lessontags');
			
			//reload the user data after update
			$tag = new LessonTag($_GET['id']);
			
			
		} else {
			$data = $_POST;
			$tag->add($data);
			$tag = new LessonTag($tag->getLastId());
			$_SESSION['splash'] = $_['lesson_tag_created'];
			$_SESSION['splash_type'] = 'success';
			session_write_close();
			header('Location: lessontags');
		}
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>


<!-- Main Quill library -->
<script src="//cdn.quilljs.com/1.3.6/quill.js"></script>

<!-- Theme included stylesheets -->
<link href="//cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
<link href="//cdn.quilljs.com/1.3.6/quill.bubble.css" rel="stylesheet">

<!-- Core build with no theme, formatting, non-essential modules -->
<link href="//cdn.quilljs.com/1.3.6/quill.core.css" rel="stylesheet">

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content" style="min-height:864px !important">
			<!-- BEGIN PAGE CONTAINER-->        
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					
					<?php include 'templates/splash.php'; ?>
					
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<h3 class="page-title">
							<?php echo $_['lesson_tag_page_title']; ?>
						</h3>
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="#"><?php echo $_['lesson_tag_page_title']; ?></a>
							</li>
						</ul>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">
					<div class="span12">
						<form id='button-form' class='form-horizontal' method='post' enctype="multipart/form-data">
							<div id='button-app'>
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_tag_tag']; ?></label>
									<div class="controls">
										<input class='button-field' type='text' name='tag' id='tag' value='<?php echo (isset($tag->tag))?$tag->tag:''?>' placeholder='<?php echo $_['lesson_tag_tag']; ?>'/>
										<span class="help-block"><?php echo $_['lesson_tag_lesson_tag_help']; ?></span>
										<span id="warning-tag" class="warning warning-tag"></span>
									</div>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['lesson_tag_active']; ?></label>
									<div class="controls">
										<select class="span6 m-wrap" name="active">
											<option value="1" <?php echo (!empty($tag->active) && $tag->active == '1') ? 'selected=selected' : '' ; ?>><?php echo $_['settings_on']; ?></option>
											<option value="0" <?php echo (!empty($tag->active) && $tag->active == '0') ? 'selected=selected' : '' ; ?>><?php echo $_['settings_off']; ?></option>
										</select>
										<span class="help-block"><?php echo $_['lesson_tag_active_help']; ?></span>
										<span id="warning-active" class="warning warning-active"></span>
									</div>
								</div>
								
								<!-- <div class="control-group">
									<label class="control-label"><?php echo $_['lesson_tag_difficulty']; ?></label>
									<div class="controls">
										<select class="span6 m-wrap" name="difficulty">
											<option value="daycare" <?php echo (!empty($tag->difficulty) && $tag->difficulty == 'daycare') ? 'selected=selected' : '' ; ?>><?php echo $_['lesson_tag_difficulty_daycare']; ?></option>
											<option value="preschool" <?php echo (!empty($tag->difficulty) && $tag->difficulty == 'preschool') ? 'selected=selected' : '' ; ?>><?php echo $_['lesson_tag_difficulty_preschool']; ?></option>
											<option value="year12" <?php echo (!empty($tag->difficulty) && $tag->difficulty == 'year12') ? 'selected=selected' : '' ; ?>><?php echo $_['lesson_tag_difficulty_year12']; ?></option>
										</select>
										<span class="help-block"><?php echo $_['lesson_tag_difficulty_help']; ?></span>
										<span id="warning-active" class="warning warning-active"></span>
									</div>
								</div> -->
								
								
								<input type='hidden' name='action' id="action" value=''/>
								
								<?php if(isset($_GET['id'])) { ?>
									<input type='hidden' name='id' value='<?php echo $tag->id; ?>' />
								<?php } ?>
							</div>
							<br />
							<div class="form-actions">
								<input type='submit' class='btn green' name='submit' value='<?php echo $_['global_save']; ?>'>
							</div>
						</form>
					</div>
				</div>
				<!-- END PAGE CONTENT -->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->

	<style type='text/css'>
		#custom_code {
			width:100%;
			max-width:400px;
			height:200px;
		}
	</style>
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
 ?>