<?php
//required core php files. Binds all aspects of the system

//set error reporting for good structure
session_start();

// Enable error reporting for NOTICES
error_reporting(E_ALL);
ini_set('display_errors', '1');

//load languages
require_once(__DIR__.'/../config.php');

//set this to read config eventually

//auto loads all classes from /classes folder
foreach (glob(__DIR__."/classes/*.php") as $filename) {
	require_once($filename);
}

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

$global_helper = new Helper;
$application = new Application;

$global_settings_object = new GlobalSettings();
$logger_object = new Logger();
$global_language = '';

//load the logged in user and all details (if there is one)
if(isset($_SESSION['user_id']) && $_SESSION['user_id'] != '') {
	$global_user = new User($_SESSION['user_id']);
	$global_language = $global_user->user_lang;
}

//if language selected, apply it
if(isset($_GET['lang'])) {
	setcookie("lang", $_GET['lang'], time()+2*24*60*60); 
	$global_language = $_GET['lang'];
}

//override language selection if there is a cookie set
if(isset($_COOKIE['lang']) && !isset($_GET['lang'])) {
	$global_language = $_COOKIE['lang'];
} 
if($global_language == 'eng') {
	require_once(__DIR__.'/languages/english.php');	
} else {
	require_once(__DIR__.'/languages/swedish.php');
}

/*
if(isset($global_user) && isset($global_user->user_level) && $global_user->user_level < 5) {
	if(isset($_GET['id'])) {
		$user = new User($_GET['id']);
	}
}
*/
?>