<?php 
//pulls all required and global information
include_once 'required.php';

$display_page = "";

//check that the requested code exists in the "password_reset_requests" table
$query = $db->prepare("SELECT * FROM `password_reset_requests` WHERE `verification_code` = :vcode AND `id` = :id AND `expired` > :date");
$query->execute(array(':vcode' => $_REQUEST['validation'], ':id' => $_REQUEST['id'], ':date' => date('Y-m-d H:i:s')));
$reset_request = $query->fetch();

//check that a request was found
if (!empty($reset_request['client_email'])) {
	//retrieve the user object using the client email as an identifier
	$user = new User($reset_request['client_email']);
	//check a user was found
	if (!empty($user->user_id)) {
		//update the client's password if request and user exists and form has been submitted
		if ($_POST) {
			$pass = true;
			
			//check all fields are filled, and that the passwords match
			if(empty($_POST['user_password'])) {
				$error_password = $_['password_reset_enter_both_fields'];
				$pass = false;
			} elseif (empty($_POST['user_password_confirm'])) {
				$error_password = $_['password_reset_enter_both_fields'];
				$pass = false;
			} elseif ($_POST['user_password_confirm'] != $_POST['user_password']) {
				$error_password = $_['password_reset_unmatched_passwords'];
				$pass = false;
			}

			if ($pass) {
				$user->updateUser(array('user_id'=>$user->user_id, 'user_password'=>$_POST['user_password']));
				
				//expire the password reset request
				$query = $db->prepare("UPDATE `password_reset_requests` SET `expired` = :date WHERE `verification_code` = :vcode AND `id` = :id");
				$query->execute(array(':vcode' => $_REQUEST['validation'], ':id' => $_REQUEST['id'], ':date' => date('Y-m-d H:i:s')));
				
				$display_page = "success";
			}
		}
		//display the password reset form
		if (!$_POST OR $pass == false) {
			$display_page = "enter";
		}
	} 
	//display email not recognised error
	else {
		$error_validation = $_['password_reset_no_account_with_that_email'];
		$display_page = "error";
	}
}
//display request not recognised error
else {
	$error_validation = $_['password_reset_invalid_or_expired_link'];
	$display_page = "error";
}

?>

<!-- END HEAD -->
<meta charset="utf-8" />
	<title><?php $_['register_page_title']; ?></title>
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<!-- BEGIN GLOBAL MANDATORY STYLES -->        
	<link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
	<link href="assets/plugins/bootstrap/css/bootstrap-responsive.min.css" rel="stylesheet" type="text/css"/>
	<!-- END GLOBAL MANDATORY STYLES -->
	<link rel="shortcut icon" href="favicon.ico" />

	<link href="assets/css/register.css" rel="stylesheet" type="text/css" media="screen"/>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<!-- ENTRY OVERLAY -->
	<?php if(!empty($display_page)) { 
		if ($display_page == "error") { 
			//display a page with no information other than the error
			?>
			<div class="register-page">
				<div class="register-page-form-box">
					<h2 class="red"><?php echo $_['password_reset_error_title'] ; ?></h2>
					<p class="red"><?php echo $error_validation; ?></p>
				</div>
			</div>
		<?php } elseif ($display_page == "success") { 
			//display the success page from which they can now log in with the new password.
			?>
			<div class="register-page">
				<div class="register-page-form-box">
					<h2><?php echo $_['password_reset_password_has_been_changed_title'] ; ?></h2>
					<p><?php echo $_['password_reset_password_has_been_changed_text'] ; ?></p>
					<span>
						<form id='login-first-time' action='login' method='post'>
							<button form="login-first-time" value="Submit"
							class="green btn pull-left">
							<?php echo $_['register_login']; ?>
							<i class="m-icon-swapright m-icon-white"></i>
							</button>
							<input type='hidden' name='email' value='<?php echo $user->user_email; ?>' />
							<input type='hidden' name='password' value='<?php echo $user->user_password; ?>' />
							<input type='hidden' name='path' value='validation' />
						</form>
					</span>
				</div>
			</div>
		<?php } elseif ($display_page == "enter") { 
			//display the reset password form
			?>
			<!-- BEGIN CONTAINER -->
			<div class="register-page">
				<!--BEGIN FORM-->
				<div class="register-page-form-box">
					<form class="form-vertical register-form" action="reset_password" method="post" id='reset-form'>
						<script>
							function onSubmit(token) {
								//console.log(token);
								document.getElementById("reset-form").submit();
		       				}
		       				
		       				function setLanguage(languageCode) {
							  $.ajax({
							  	url: "ajax.php", 
							  	method: "post",
							  	data: {action: "setLanguage", language: languageCode},
							  	success: function(result){
							  		$('#input-skip-step-check').val(1);
							    	document.getElementById("reset-form").submit();
							  	}
							  });
		       				}
		     			</script>
		     			<input type='hidden' id='' name='user_preferred_language' value='<?php echo $global_language ?>' />
		     			<button type="button" class="btn register-change-language-button" onclick="setLanguage(<?php if ($global_language == 'eng') {echo "'sv'";} else {echo "'eng'";} ?>)">
		     				<?php if ($global_language == 'eng') { ?>
								<img src="assets/img/flags/se.png">
							<?php } else { ?>
								<img src="assets/img/flags/gb.png">
							<?php }	?>
		     			</button>
		     			<div class="register-title-row title-row-single">
							<h3 class="bold-title"><?php echo $_['password_reset_title']; ?></h3>
						</div>
						<?php include 'templates/splash.php'; ?>
						<div class="register-body">
							<?php 
							$fillData = array(
								"user_password" => "",
								"user_password_confirm" => ""
							);
							if (isset($_POST)) {
								foreach ($_POST as $key => $value) {
									if (isset($_POST[$key])) {
										$fillData[$key] = $value;
									}
								}
							}?>
							<label class="section-title register-section-title"><?php echo $_['register_email']; ?></label>
							<input name="user_email" type="text" class="span6 m-wrap register-input" value="<?php echo $user->user_email; ?>" disabled>
							<div class="break-underline"></div>
							<label class="section-title register-section-title"><?php echo $_['register_password']; ?></label>
							<input name="user_password" type="password" class="span6 m-wrap register-input" value="<?php echo $fillData['user_password']; ?>">
							<label class="section-title register-section-title"><?php echo $_['password_reset_confirm_password']; ?></label>
							<input name="user_password_confirm" type="password" class="span6 m-wrap register-input" value="<?php echo $fillData['user_password_confirm']; ?>">
							<input type='hidden' id='' name='id' value='<?php echo htmlspecialchars($_REQUEST['id']); ?>' />
							<input type='hidden' id='' name='validation' value='<?php echo htmlspecialchars($_REQUEST['validation']); ?>' />
							<?php if(isset($error_password) && strlen($error_password)) { ?><label class="alert alert-error"><?php echo $error_password; ?></label><?php } ?>

							<button
								class="g-recaptcha green btn pull-right"
								onclick="onSubmit">
								<?php echo $_['password_reset_submit_button']; ?>
								<i class="m-icon-swapright m-icon-white"></i>
							</button> 
						</div>
					</form>
				</div>
			</div>
		<?php } ?>	
	<?php } ?>	
		
	<?php include 'templates/footer.php'; ?>

		