<?php 
//pulls all required and global information
include_once 'required.php';

$pass = false;
$error_email = "";
//check if a submission has been made
if ($_POST) {
	$pass = true;
	if(empty($_POST['user_email'])) {
		$error_email = $_['password_reset_enter_email'];
		$pass = false;
	}
	
	if ($pass) {
		$user = new User($_POST['user_email']);
		if (empty($user->user_id)) {
			$error_email = $_['password_reset_email_not_recognized'];
			$pass = false;
		} else {
			if ($user->checkRecentPasswordReset()) {
				$error_email = $_['password_reset_too_many_requests'];
				$pass = false;
			} else {
				$vcode = substr(md5(date('YmdHis').$_POST['user_email'].rand(100,999)),0,20);
				$resetStatus = $user->resetPasswordRequest(
					array(
						':entered' => date('Y-m-d H:i:s'),
						':expired' => date('Y-m-d H:i:s',strtotime("+1 hour")),
						':vcode' => $vcode, 
						':ip' => $_SERVER['REMOTE_ADDR'], 
						':email' => $_POST['user_email'],
					), $global_language
				);
			}
		}
	}
}

?>

<!-- END HEAD -->
<meta charset="utf-8" />
	<title><?php $_['reset_password_page_title']; ?></title>
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<!-- BEGIN GLOBAL MANDATORY STYLES -->        
	<link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
	<link href="assets/plugins/bootstrap/css/bootstrap-responsive.min.css" rel="stylesheet" type="text/css"/>
	<!-- END GLOBAL MANDATORY STYLES -->
	<link rel="shortcut icon" href="favicon.ico" />

	<link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/style-metro.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/theme.css" rel="stylesheet" type="text/css" id="style_color"/>
	<!--<link href="assets/css/login.css" rel="stylesheet" type="text/css" media="screen"/>-->
	<link href="assets/css/register.css" rel="stylesheet" type="text/css" media="screen"/>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<!-- ENTRY OVERLAY -->
	<?php if ($pass == true) { 
		//display a page saying an email has been sent
		?>
		<div class="register-page">
			<div class="register-page-form-box">
				<h2 class="green"><?php echo $_['password_reset_request_sent_title'] ; ?></h2>
				<p class="green"><?php echo $_['password_reset_request_sent_text']; ?></p>
			</div>
		</div>
	<?php } else { 
		//display the request reset form
		?>
		<!-- BEGIN CONTAINER -->
		<div class="register-page">
			<!--BEGIN FORM-->
			<div class="register-page-form-box">
				<form class="form-vertical register-form" action="request_reset_password" method="post" id='request-reset-form'>
					<script>
						function onSubmit(token) {
							//console.log(token);
							document.getElementById("request-reset-form").submit();
	       				}
	       				
	       				function setLanguage(languageCode) {
						  $.ajax({
						  	url: "ajax.php", 
						  	method: "post",
						  	data: {action: "setLanguage", language: languageCode},
						  	success: function(result){
						  		$('#input-skip-step-check').val(1);
						    	document.getElementById("request-reset-form").submit();
						  	}
						  });
	       				}
	     			</script>
	     			<input type='hidden' id='' name='user_preferred_language' value='<?php echo $global_language ?>' />
	     			<button type="button" class="btn register-change-language-button" onclick="setLanguage(<?php if ($global_language == 'eng') {echo "'sv'";} else {echo "'eng'";} ?>)" style="background-color: #fff !important;">
	     				<?php if ($global_language == 'eng') { ?>
							<img src="assets/img/flags/se.png">
						<?php } else { ?>
							<img src="assets/img/flags/gb.png">
						<?php }	?>
	     			</button>
	     			<div class="register-title-row title-row-single">
						<h3 class="form-title"><?php echo $_['password_reset_title']; ?></h3>
					</div>
					<?php include 'templates/splash.php'; ?>
					<div class="register-body">
						<?php 
						$fillData = array(
							"user_email" => "",
						);
						if (isset($_POST)) {
							foreach ($_POST as $key => $value) {
								if (isset($_POST[$key])) {
									$fillData[$key] = $value;
								}
							}
						}?>
						<label class="section-title register-section-title"><?php echo $_['global_email']; ?></label>
						<input name="user_email" type="text" class="span6 m-wrap register-input" value="<?php echo $fillData['user_email']; ?>">
						<?php if(strlen($error_email)) { ?><label class="alert alert-error"><?php echo $error_email; ?></label><?php } ?>
						<button
							class="btn hovertheme pull-right"
							onclick="onSubmit">
							<?php echo $_['password_reset_submit_request_button']; ?>
						</button> 
					</div>
				</form>
			</div>
		</div>
		<div class="copyright">
			2020 © Besparingen
		</div>
	<?php } ?>	

		