<?php 
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//load start session for storage
if (!empty($global_user) && $global_user->user_id != '' && $global_user->user_level < 10) {

	if ($global_user->user_level <= 5) {
		if(isset($_GET['delete'])) {
			$c_user = $global_user->getUser($_GET['delete']);
			if ($global_user->user_level < $c_user->user_level  && $global_user->user_id != $c_user->user_id) {
				$global_user->delete($c_user->user_id);
				$_SESSION['splash'] = $_['users_deleted'];
				$_SESSION['splash_type'] = 'success';
			}
		}
	}
	
	//filters for pagination urls
	$filter_parameters = "";
	$filter_values = array(
		'filter_id',
		'filter_name',
		'filter_note',
		'filter_user_level'
	);
	foreach($filter_values as $value) {
		if(isset($_GET[$value])) {
			$filter_parameters .= "&".$value."=".urlencode($_GET[$value]);
		}
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>
<style>
	abbr {
    background: black;
    color: white;
    font-weight: bold;
    display: inline-block;
    height: 1.5em;
    width: 1.5em;
    border: 1px solid black;
    border-radius: 5em;
    box-shadow: inset 0 0 0 1px white;
    text-align: center;
    opacity: .6;
    text-decoration: none;
    font-size: 0.9em;
    line-height: 1.6em;
    transition: all .3s;
	}
	abbr:hover {
		opacity: 1;
	}
	#users_table {
		margin-top: 57px;
	}
</style>
<link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css" />
<link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css" />

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index.html"><?php echo $_['global_dashboard']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li><a href="#"><?php echo $_['global_accounts']; ?></a></li>
						</ul>
						<h3 class="page-title">
							<?php echo $_['users_title']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid>
					
					<?php include 'templates/splash.php'; ?>
					
					<div>
						<!-- BEGIN EXAMPLE TABLE PORTLET-->
						<div class="portlet box">
							<div class="portlet-body">
								<form id='search_form' action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>' method='GET' onkeydown="return event.key != 'Enter';">
									<table class="table table-striped table-bordered table-hover" id="search_table">
										<thead>
											<tr>
												<th><input name='filter_id' type='text' value='<?php echo (!empty($_GET['filter_id'])) ? htmlspecialchars($_GET['filter_id']): ''; ?>'></th>
												<th><input name='filter_name' type='text' value='<?php echo (!empty($_GET['filter_name'])) ? htmlspecialchars($_GET['filter_name']): ''; ?>'></th>
												<th><input name='filter_note' type='text' value='<?php echo (!empty($_GET['filter_note'])) ? htmlspecialchars($_GET['filter_note']): ''; ?>'></th>
												<th>
													<select name='filter_user_level'>
														<option value='0'> </option>
														<option value='10' <?php echo (!empty($_GET['filter_user_level']) && $_GET['filter_user_level'] == 10) ? 'selected': ''; ?>><?php echo $_['global_students']; ?></option>
														<option value='5' <?php echo (!empty($_GET['filter_user_level']) && $_GET['filter_user_level'] == 5) ? 'selected': ''; ?>><?php echo $_['global_teachers']; ?></option>
														<option value='2' <?php echo (!empty($_GET['filter_user_level']) && $_GET['filter_user_level'] == 2) ? 'selected': ''; ?>><?php echo $_['global_developers']; ?></option>
														<option value='1' <?php echo (!empty($_GET['filter_user_level']) && $_GET['filter_user_level'] == 1) ? 'selected': ''; ?>><?php echo $_['global_admins']; ?></option>
													</select>
												</th>
											</tr>
											<tr>
												<th><?php echo $_['global_id']; ?></th>
												<th><?php echo $_['global_name']; ?></th>
												<th><?php echo $_['global_note']; ?></th>
												<th><?php echo $_['global_user_level']; ?></th>
											</tr>
										</thead>
									</table>
									
									<div class="btn-group pull-right user-search">
										<a class='btn hovertheme pull-right' href="#" onclick="document.getElementById('search_form').submit();"><i class="icon-search"></i>&nbsp;&nbsp;<?php echo $_['global_search']; ?></a>
									</div>
									
									<table class="table table-striped table-bordered table-hover" id="users_table">
										<thead>
											<tr>
												<th></th>
												<th><?php echo $_['global_id']; ?></th>
												<th><?php echo $_['global_name']; ?></th>
												<th><?php echo $_['global_note']; ?></th>
												<th><?php echo $_['global_user_level']; ?></th>
												<th>
													<?php if ($global_user->user_level <= 5) { ?>
														<a class="btn green" href='user?user_id=new'><?php echo $_['global_new']; ?></a>
													<?php } ?>
												</th>
											</tr>
										</thead>
										<tbody>
											<?php 
											$data = $_GET;
											$settings = array(
												'start' => '0',
												'limit' => '20',
												'sort' => 'user_first',
												'order' => 'DESC'
											);
											
											//get the number of results to display
											$data['limit'] = $settings['limit'];
											
											//calculate starting point
											if(isset($_GET['page'])) {
												$start = ($_GET['page']-1) * $settings['limit'];
												$data['start'] = $start;
												$settings['start'] = $start;
											}
											
											//get a results list;
											$current_users = $global_user->getFilteredUsers($data);
											
											//no limit for counting actual results
											$data['limit'] = 1000000;
											$data['start'] = 0;
											$current_users_count =  count($global_user->getFilteredUsers($data));

											//set current order count
											$settings['current_users'] = $current_users_count;
											
											foreach($current_users as $c_user) { ?>
												<tr class="odd gradeX">
													<td>
														<?php 
														if ($c_user->user_active == 1) {
															echo "<i style='color:green' class='fas fa-circle' title='".$_['users_active_user']."'></i>";
														} else {
															echo "<i style='color:grey' class='fas fa-circle' title='".$_['users_inactive_user']."'></i>";
														}
														?>
													</td>
													<td><?php echo $c_user->user_id; ?></td>
													<td><?php echo $c_user->user_first." ".$c_user->user_last; ?></td>
													<td>
														<?php if (!empty($c_user->user_note)) { ?>
															<abbr title="<?php echo $c_user->user_note; ?>">?</abbr>
														<?php } ?>
													</td>
													<td>
														<?php
															if ($c_user->user_level == 10) { //students
																echo $_['global_student'];
															}
															if ($c_user->user_level == 5) { //teachers
																echo $_['global_teacher'];
															}
															if ($c_user->user_level == 2) { //developers
																echo $_['global_developer'];
															}
															if ($c_user->user_level == 1) { //admins
																echo $_['global_admin'];
															}
														?>
													</td>
													<td>
														<?php if ($global_user->user_level <= 5 && $global_user->user_id != $c_user->user_id) { ?>
															<a href='user?user_id=<?php echo $c_user->user_id; ?>'><?php echo $_['global_edit']; ?></a>&nbsp;&nbsp;&nbsp;
															<a href='users?delete=<?php echo $c_user->user_id; ?>' onclick="return confirm('<?php echo $_['users_delete_confirm'].$property->id." - ".$property->name."?"; ?>')"><?php echo $_['global_delete']; ?></a>
														<?php } else { ?>
															<?php if ($global_user->user_id == $c_user->user_id) { ?>
																<a href='user?user_id=<?php echo $c_user->user_id; ?>'><?php echo $_['global_edit']; ?></a>
															<?php } ?>
														<?php } ?>
													</td>
												</tr>
											<?php } ?>
										</tbody>
									</table>
									<div class="row-fluid">
										<div class="span6">
											<div class="dataTables_info" id="sample_3_info">
												<?php echo $_['global_showing'] .' ' . ($settings['start']+1) . ' ' . $_['global_page_to'] .' '. ($settings['start']+$settings['limit']) .' '.$_['global_of'].' '.$current_users_count.' '.$_['global_accounts']; ?>
											</div>
										</div>
										<div class="span6">
											<div class="dataTables_paginate paging_bootstrap pagination">
												<ul>
													<li class="prev <?php echo ($settings['start'] <= 1) ? 'disabled':''; ?>">
														<?php
														$page = 1; 
														if(!empty($_GET['page'])) {
																$page = htmlspecialchars($_GET['page']);
														} ?>
														<?php if($settings['start'] > 1) { ?>
														<a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/users.php?page=<?php echo htmlspecialchars($page-1); ?><?php echo $filter_parameters; ?>">
														<span class="hidden-480"><?php $_['global_previous']; ?></span></a>
														<?php } ?>
													</li>
													<?php
													$total_pages = ceil($settings['current_users']/$settings['limit']);
													$i = 1;
													while($i <= $total_pages) { ?>
														<?php if($page + 5 > $i && $page - 5 < $i) { ?>
														<li class="<?php echo (empty($page) || $page == $i) ? 'active':''; ?>"><a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/users.php?page=<?php echo $i; ?><?php echo $filter_parameters; ?>"><?php echo $i; ?></a></li>
														<?php } $i++;
													}
													//check if we are on the last page
													if($settings['start'] + $settings['limit'] < $current_users_count) {
														$last_page = true;
													} else {
														$last_page = false;
													}
													?>
													<li class="next <?php echo ($last_page) ? 'disabled':''; ?>">
														<?php if($last_page) { ?>
														<a href="<?php echo (isset($global_admin_path))?$global_admin_path:''; ?>/users.php?page=<?php echo htmlspecialchars($_GET['page']+1); ?><?php echo $filter_parameters; ?>">
															<span class="hidden-480"><?php $_['global_next']; ?></span>
														</a>
														<?php } ?>
													</li>
												</ul>
											</div>
										</div>
									</div>
								</form>
							</div>
						</div>
						<!-- END TABLE PORTLET-->
					</div>
				</div>
				<!-- END PAGE CONTENT-->
			</div>
			<!-- END PAGE CONTAINER--> 
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->
	
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
 ?>