$(document).ready(() => {
	console.warn('Loading kwikk monday selectbox plugin')
	$('select.monsel').each((i, e) => {
		let selectBox = $(e)
		selectBox.change(ev => {
			// Handle selectBox updates
			console.log('Selectbox changed! New value: ', $(ev.target).val())
			let wrapper = $(ev.target)
				.closest('.monsel-wrap')
			let optEls = wrapper.find('.monsel-popup .monsel-opt')
			optEls.each((optIdx, el) => {
				let optEl = $(el)
				console.log(optEl.data('value'))
				let isSelected = (selectBox.val() == optEl.data('value'))
				optEl.toggleClass('monsel-opt--selected', isSelected)

				if (isSelected) {
					let selectedValHolder = wrapper.find('.monsel-current-holder')
					selectedValHolder.html(optEl.clone())
				}

			})
		})



		let options = selectBox.find('option')

		let backdrop = $('.monsel-backdrop');
		if (backdrop.length == 0) {
			backdrop = $('<div class="monsel-backdrop"></div>')
			backdrop.click(ev => {
				$('.monsel-wrap--open').toggleClass('monsel-wrap--open', false)
				backdrop.toggleClass('monsel-backdrop--open', false)
			})
			$('body').prepend(backdrop)
		}

		let newBox = $('<div class="monsel-wrap"></div>')
		if (options.length > 6) {
			newBox.toggleClass("monsel-wrap--manyoptions", true)
		}


		let popup = $('<div class="monsel-popup"></div>')

		let optionEls = []
		let selectedOpt = '[placeholder]'
		options.each((i2, e2) => {
			let option = $(e2);
			let isSelected = (selectBox.val() == option.val())
			let optEl = $('<div class="monsel-opt">' + option.text() + '</div>')
			optEl.toggleClass('monsel-opt--selected', isSelected)
			optEl.data('value', option.val())
			optEl.click(ev => {
				ev.preventDefault();
				ev.stopPropagation();
				// Update selectbox
				console.log('Selected value', $(ev.target).data('value'))

				// Animate selected item
				$(ev.target).closest('.monsel-wrap')
					.toggleClass('monsel-loading', true)
				$(ev.target).closest('.monsel-wrap')
					.find('.monsel-opt')
					.css('opacity', '0.5')
				$(ev.target).css('opacity', '1')
				$(ev.target).closest('.monsel-wrap')
					.find('.monsel-current-holder .monsel-opt')
					.text('Sparar...')


				// Ajax call
				setTimeout(() => {
					$(ev.target).closest('.monsel-wrap')
						.toggleClass('monsel-loading', false)
					$(ev.target).closest('.monsel-wrap')
						.find('.monsel-opt')
						.css('opacity', '1')

					selectBox.val($(ev.target).data('value'))
					selectBox.change()

					// Let selectbox change event update monsel box

					// Hide popup
					$(ev.target).closest('.monsel-wrap').toggleClass('monsel-wrap--open')
					backdrop.toggleClass('monsel-backdrop--open')
				}, 1)
			})

			if (isSelected) {
				selectedOpt = optEl;
			}

			let bgcolor = e2?.dataset?.color || '#aaa';
			optEl.css({ background: bgcolor })

			if (option.val() != ""){
				optionEls.push(optEl)
			}
		})

		// Append selected value, shown when box not active
		let selectedValHolder = $('<div class="monsel-current-holder"></div>')
		selectedValHolder.append(selectedOpt.clone())
		newBox.append(selectedValHolder)

		// Append popup with options
		popup.append(optionEls)



		newBox.click(ev => {
			ev.preventDefault();
			ev.stopPropagation();

			$(ev.target).closest('.monsel-wrap').toggleClass('monsel-wrap--open')

			// Check whether to show above or below
			let elTop = ev.target.getBoundingClientRect().top;
			let elBtm = ev.target.getBoundingClientRect().bottom;
			let tablewrap = $(ev.target).closest(".table-wrap")[0]
			let tableTop = tablewrap.getBoundingClientRect().top;
			let tableBtm = tablewrap.getBoundingClientRect().bottom;

			let spaceOver = elTop - tableTop
			let spaceUnder = tableBtm - elBtm

			let popup = $(ev.target).closest(".monsel-wrap").find(".monsel-popup")
			let popupHeight = popup.height() + 40
			let fitsOver = (spaceOver > popupHeight)
			let fitsUnder = (spaceUnder > popupHeight)

			console.log('over:', spaceOver, 'under:', spaceUnder, 'popupHeight:', popupHeight, 
				'fitsOver:', fitsOver,
			'fitsUnder:', fitsUnder,
			)

			if(fitsOver == true && fitsUnder == false){
				popup.toggleClass('monsel-popup--above', true)
			}else{
				popup.toggleClass('monsel-popup--above', false)
			}

			backdrop.toggleClass('monsel-backdrop--open')
		})
		
		newBox.append(popup)

		// Hide original selectbox inside wrapper
		selectBox.before(newBox)
		newBox.append(selectBox)
	})
})